Subject: Bug#555: E17 (Enlightenment): Windows cannot be moved by dragging

From: Michael DePaulo <[email-masked]>
Date: Sun, 20 Jul 2014 11:36:58 -0400

Package: nx-libs
Version: 3.5.0.27
Severity: Normal

Problem:
Under E17 (Enlightenment), when I hold left click on a window title
bar and move the mouse, the window is not moved. I think this is
called "dragging" the window.

In contrast, when I interact with the VM's local display, window
dragging works fine.

Also, in published app mode, window dragging works. (However, the
windows have the Windows OS title bar instead of the E17 title bars.)

Server setup & Steps to reproduce:

Bodhi Linux 2.4.0 64-bit VM with all the latest updates
(Based on Ubuntu 12.04)
Host: Fedora 20 64-bit KVM/virt-manager with the latest updates
"enlightenment" package version: 20130818-1
Enlightenment set to "Bare" desktop. I set this locally, logged out,
and then connected via X2Go.

X2Go Server Installed from from ppa:x2go/stable :
x2goserver 4.0.1.15-0~847~ubuntu12.04.1
x2goserver-xsession 4.0.1.15-0~847~ubuntu12.04.1
nxagent: 2:3.5.0.27-0~446~ubuntu12.04.1

X2Go Client:
Running on Windows 8.1 64-bit with update 1
4.0.3.0 nightly (2014-07-13)
Custom Command: /usr/bin/enlightenment_start
(The same command as in /usr/share/xsessions/enlightenment.desktop)

Things I tried toggling on and off, but had no affect on this bug:
1. In x2goclient, Xinerama extension
2. in x2goagent.options, XFIXES extension
3. In x2goagent.options, GLX extension